# Interface Pipe

interface Pipe {
close(): void;
hasRef(): boolean;
ref(): void;
unref(): void;
}

- Defined in node_modules/@types/node/stream.d.ts:1681

#####
Index

### Methods

close
hasRef
ref
unref

## Methods

### close

- close(): void

- #### Returns void

  - Defined in node_modules/@types/node/stream.d.ts:1682

### hasRef

- hasRef(): boolean

- #### Returns boolean

  - Defined in node_modules/@types/node/stream.d.ts:1683

### ref

- ref(): void

- #### Returns void

  - Defined in node_modules/@types/node/stream.d.ts:1684

### unref

- unref(): void

- #### Returns void

  - Defined in node_modules/@types/node/stream.d.ts:1685